<!-- Collection Manager Window -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
<script src="/cms/backend/gui/jquery.min.js"></script>
{%glo:PageEncoding%}
<link rel="stylesheet" href="gui/style.css" type="text/css">

<script language="javascript">
<!--
  function onOk()
  {
  //  var arr = new Array();
    var a = "{%str:action%}";
    if(a == "submit")
    {
      if(!window.frames['iframe'].document.Form.onsubmit || window.frames['iframe'].document.Form.onsubmit()){

      	if(typeof files == 'undefined'){ var files = {}; }

      	if(typeof opener_callback_function == 'function'){ // we have callback, so we need to post form async
	        var jForm = $("#Form", window.frames['iframe'].document);
	        var form = jForm[0];

          if(typeof window.frames['iframe'].CKEDITOR != 'undefined'){
          	for (var i in window.frames['iframe'].CKEDITOR.instances) {
            	window.frames['iframe'].CKEDITOR.instances[i].updateElement()
		        }
          }

          var formData = new FormData(form);

					for(var i in files){ // adding files
          	formData.append(i, files[i]);
					}

					$.ajax({
					  type: jForm.attr("method"),
					  url: jForm.attr("action"),
					  data: formData,
						processData: false,  // tell jQuery not to process the data
                        contentType: false,   // tell jQuery not to set contentType
					  success: function(response) {
							var callback_response = opener_callback_function(response);
							if(callback_response != 'noclose'){
								window.close();
							}
					  }
					});
				}else{
					window.frames['iframe'].document.Form.submit();
				}

      }

    }else{
      try{
        arr =  window.frames['iframe'].document.Form.Input.value;
        window.returnValue = arr;
      } catch(e) {}

      window.close();
    }
  }
// -->
</script>
</head>

<body bgcolor="#E8E8E8" style="overflow:hidden;margin:0;padding:0">
<form name="Form" style="margin:0;padding:0">
<input name="Input" type="hidden">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0" style="margin:0;padding:0">
  <tr>
    <td colspan="2" width="100%">
    <iframe frameborder="1" name="iframe" id="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;margin:0;padding:0" scrolling="auto"></iframe>
    </td>
  </tr>

  <tr>
    <td colspan="2" height="30" width="100%" align="right">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="onOk();">

    </td>
  </tr>
</table>
</form>
</body>

</html>
